TokenLab

비디오 및 자료

작업 목록(Volc 호환)

현재 조직의 최근 Seedance 호환 작업을 조회합니다.

GET
/api/v3/contents/generations/tasks

개요

TokenLab Bearer API 키로 인증된 워크스페이스의 최근 호환 작업을 조회합니다. filter.task_ids가 없으면 최근 7일을 대상으로 하며 정확한 ID를 지정하면 해당 작업을 직접 조회합니다.

같이 보기 Seedance 2.0 비디오 모델 및 비디오 생성.

응답 형식

  • page_num: 기본값 1, 1–500 범위의 정수.
  • page_size: 기본값 20, 1–500 범위의 정수.
  • filter.status: queued, running, succeeded, failed, cancelled, expired.
  • filter.task_ids: 여러 정확한 작업 ID는 매개변수를 반복해서 지정하세요. 쉼표로 연결하지 마세요.
  • filter.model: 모델 식별자.
  • filter.service_tier: default, flex.

응답은 필터링된 결과의 items와 total을 포함합니다. 각 항목은 작업 조회 응답과 같은 구조입니다. 알고 있는 작업의 상태를 갱신하려면 조회 엔드포인트를 사용하세요.

예시

curl "https://api.tokenlab.sh/api/v3/contents/generations/tasks?page_num=1&page_size=20&filter.status=succeeded" \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"
curl "https://api.tokenlab.sh/api/v3/contents/generations/tasks?filter.task_ids=cgt-20260102030405-a1b2c" \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"
curl -X GET "https://example.com/api/v3/contents/generations/tasks"
{  "items": [    {      "id": "string",      "model": "string",      "status": "queued",      "content": {        "video_url": "http://example.com",        "last_frame_url": "http://example.com"      },      "seed": 0,      "resolution": "string",      "ratio": "string",      "duration": "string",      "frames": 0,      "framespersecond": 0,      "generate_audio": true,      "tools": {        "type": "web_search"      },      "safety_identifier": "string",      "draft": true,      "draft_task_id": "string",      "service_tier": "string",      "execution_expires_after": 0,      "usage": {        "completion_tokens": 0,        "total_tokens": 0,        "tool_usage": {          "web_search": 0        }      },      "error": {        "code": "string",        "message": "string"      },      "created_at": 0,      "updated_at": 0    }  ],  "total": 0}

인증

BearerAuth
AuthorizationBearer <token>

API 키 인증입니다. Dashboard > API > API Keys에서 API 키를 생성하거나 관리하십시오.

위치: header

쿼리 매개변수

page_num?integer

페이지 번호입니다.

범위1 <= value <= 500
기본값1
page_size?integer

페이지 크기입니다.

범위1 <= value <= 500
기본값20
filter.status?string

작업 상태별로 필터링합니다.

허용 값

  • "queued"
  • "running"
  • "succeeded"
  • "failed"
  • "cancelled"
  • "expired"
filter.task_ids?array<string>

정확한 작업 ID입니다. 여러 ID를 조회하려면 filter.task_ids를 반복하십시오.

filter.model?string

모델 식별자별로 필터링합니다.

filter.service_tier?string

서비스 티어별로 필터링합니다.

응답

application/json

application/json

application/json

application/json